# rml-loader
---

webpack loader for rml(react markup language)

[![NPM version][npm-image]][npm-url]
[![npm download][download-image]][download-url]

[npm-image]: http://img.shields.io/npm/v/rml-loader.svg?style=flat-square
[npm-url]: http://npmjs.org/package/rml-loader
[travis-image]: https://img.shields.io/travis/yiminghe/rml-loader.svg?style=flat-square
[travis-url]: https://travis-ci.org/yiminghe/rml-loader
[coveralls-image]: https://img.shields.io/coveralls/yiminghe/rml-loader.svg?style=flat-square
[coveralls-url]: https://coveralls.io/r/yiminghe/rml-loader?branch=master
[gemnasium-image]: http://img.shields.io/gemnasium/yiminghe/rml-loader.svg?style=flat-square
[gemnasium-url]: https://gemnasium.com/yiminghe/rml-loader
[node-image]: https://img.shields.io/badge/node.js-%3E=_0.10-green.svg?style=flat-square
[node-url]: http://nodejs.org/download/
[download-image]: https://img.shields.io/npm/dm/rml-loader.svg?style=flat-square
[download-url]: https://npmjs.org/package/rml-loader

## usage

```js
module: {
  loaders: [
    {
      test: /\.rml$/,
      loaders: ['babel','rml-loader?allowImportComponent']
    },
  ],
},
```

see index.js webpack.config.js index.html inside tests dir.

## preview

index.js

```js
import render from './index.rml';

const Page = React.createClass({
  getInitialState() {
    return {
      items: [
        {
          title: 'item1',
        },
        {
          title: 'item2'
        },
      ],
    };
  },
  render() {
    return render.call(this, this.state);
  },
});
```

index.rml

```html
<import src="./item.rml" />
<div>
    <div r:for="{{items}}" r:key="title">
        <p>index: {{index}}</p>
        <template is="item" data="{{...item}}" />
    </div>
</div>
```

item.rml

```html
<template name="item">
    <div>
        <p>title: {{title}}</p>
    </div>
</template>
```