'use strict';

const { Transformer } = require('rml');
const loaderUtils = require('loader-utils');
const assign = require('object-assign');

module.exports = function (source) {
  const webpackRemainingChain = loaderUtils.getRemainingRequest(this).split('!');
  const renderPath = webpackRemainingChain[webpackRemainingChain.length - 1];
  const loaderOptions = loaderUtils.parseQuery(this.query);
  new Transformer(source, assign({}, loaderOptions, {
    renderPath,
  })).transform((err, code) => {
    this.cacheable();
    this.callback(err, code);
  });
};